load('/model/produto/preco/AtualizadorPrecoVenda.js');

var mapper = mapperFactory.createMapperMult(['GlbScheduleJob']);
var atualizador = new AtualizadorPrecoVenda();

try{

    java.lang.System.out.println("=============  Iniciando schedule de atualizacao dos precos de venda ========");
    atualizador.processar();
    atualizador.mapper.commit();

}catch(err){
    atualizador.mapper.rollback();
    java.lang.System.out.println(err);

    if(atualizador.job != null){
        mapper.update("GlbScheduleJob.alterarGlbScheduleJob", {'sts': 3, 'cdCtr': atualizador.job.get('cdCtrJob')});
        mapper.commit();
    }

}